Unify and manage your data

Get Tasks History for Tenant

Get tasks for the specified tenant.

TTL

Time to live (TTL) for history records is a maximum of 30 days from the last status update.

Get Tasks History for Tenant

Returns tasks for the specified tenant with the following statuses: CANCELED, COMPLETED, COMPLETED_WITH_ERRORS, or FAILED.

Note: Available to Admin and the Tenant's Admin.

Requests

GET https://{{api}}/{Tenant}/tasks/history?entityTypes=HCP&entityTypes=HCO
Authorization: Bearer {{token}}
GET https://{{api}}/{Tenant}/tasks/history?type=com.reltio.businesslogic.tasks.delete.DeleteEntitiesByTypeTask&createdBy=user1&orderBy=START_TIME&ascending=true
Authorization: Bearer {{token}}
Table 1. Parameters
NameRequiredDetails
maxNo Positive Integer value to identify the maximum number of tasks to return in a response. Default is 50.
offsetNo Positive Integer value to identify starting what element in the result set should be returned in a response. Can be used to organize pagination in combination with the max parameter. Default is 0.
entityTypesNoString array to filter tasks by entityType.
typeNo

String value to filter tasks by type.

createdByNoString value to filter tasks by initiator.
statusNoEnum value to filter tasks by status. Available values: CANCELED, COMPLETED, FAILED, and COMPLETED_WITH_ERRORS.
orderByNoEnum value to sort tasks by the field. Available values: STATUS(ascending order: CANCELLED, COMPLETED, FAILED, COMPLETED_WITH_ERRORS), CREATED_BY, CREATED_TIME, START_TIME, TASK_TYPE (alphabetical order). Default is START_TIME.
ascendingNoBoolean value to set sort direction. Default is false.

Response

An array of completed tasks for the tenant.

[
{
        "id": "37f56390-e860-4d62-8094-edd4f32d873e",
        "groupId": "018fb663-8305-4145-a337-2b9f3563dd2e",
        "createdTime": 1574381309919,
        "createdBy": "user@reltio.com",
        "updatedTime": 1574381309919,
        "updatedBy": "user@reltio.com",
        "type": "com.reltio.businesslogic.tasks.reindex.ReindexDataTask",
        "status": "COMPLETED",
        "name": "Reindexing of all types in tenant testTenant",
        "createdOnHost": "host1",
        "executedOnHost": "host1",
        "parallelExecution": false,
        "nodesGroup": "default",
        "startTime": 1574381310368,
        "endTime": 1574382343411,
        "parameters": {
            "tenantId": "testTenant",
            "entityType": "all types",
            "skipEntitiesCount": "0",
            "entitiesLimit": "",
            "updateEntities": "true",
            "updatedSince": "0",
            "force": "false",
            "uriList": "",
            "enableSeparateIndexing": "false",
            "forceIgnoreInStreaming": "false"
        },
        "currentState": {
            "entityType": "all types",
            "lastExecutionEC2Instances": "i-1234567890abcdef0",
            "numberOfFailedToPublishEvents": 0,
            "skippedEntitiesCount": 0,
            "lastHourThroughput": 108.22981262207031,
            "numberOfProcessedObjects": 111021,
            "maxQueueSize": 32768,
            "status": "Completed"
        },
        "throughput": 107.47435,
        "duration": "17m 13s"
    }
]